import { ReactNode } from 'react';
import Curator from './Curator';
export declare type ContentData = {
    likes: string[];
};
export default class Content {
    readonly id: string;
    readonly children: ReactNode;
    constructor(id: string, children: ReactNode);
    load(): Promise<void>;
    save(): Promise<void>;
    curator: Curator;
    setCurator(curator: Curator): void;
    ref: HTMLDivElement;
    setRef(ref: HTMLDivElement): void;
    likes: string[];
    setLikes(likes: string[]): void;
    data: object;
    setData(data: object): void;
    toggleLike(): void;
    get likedByCurator(): boolean;
}
